Skip to content

Create Custom Template

POST
/api/v1/workflows/templates/custom

Create a custom workflow template (Enterprise only).

Builds a WorkflowTemplate and factory from the provided step definitions, stores them in the CustomTemplateStore.

Authorizations

Request Body required

Request body for creating a custom workflow template.

Attributes: name: Display name for the template. description: Human-readable description. category: Template category classification. steps: List of step definition dicts. schedule_cron: Optional default cron expression.

object
category
required

Classification of workflow template purpose.

string
Allowed values: operations finance strategy hr marketing
description
required
string
name
required
string
schedule_cron
Any of:
string
steps
required
Array<object>
object
key
additional properties
any

Responses

201

Successful Response

object
key
additional properties
any

422

Validation Error

object
detail
Array<object>
object
ctx
object
input
loc
required
Array
msg
required
string
type
required
string